com.google.gwt.user.client.ui

## Interface HorizontalScrollbar

All Superinterfaces:
  HasHandlers, HasHorizontalScrolling, HasScrollHandlers, IsWidget

All Known Implementing Classes:
  NativeHorizontalScrollbar

    public interface HorizontalScrollbar
    extends HasHorizontalScrolling, HasScrollHandlers, IsWidget

Describes a horizontal scrollbar.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getScrollWidth()` Get the width in pixels of the scrollable content that the scrollbar controls.
`void` `setScrollWidth(int width)` Set the width in pixels of the scrollable content that the scrollbar controls.

### Methods inherited from interface com.google.gwt.user.client.ui.HasHorizontalScrolling

`getHorizontalScrollPosition, getMaximumHorizontalScrollPosition, getMinimumHorizontalScrollPosition, setHorizontalScrollPosition`

### Methods inherited from interface com.google.gwt.event.dom.client.HasScrollHandlers

`addScrollHandler`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Methods inherited from interface com.google.gwt.user.client.ui.IsWidget

`asWidget`

### Method Detail

#### getScrollWidth

    int getScrollWidth()

Get the width in pixels of the scrollable content that the scrollbar controls.

This is not the same as the maximum scroll left position. The maximum scroll position equals the `scrollWidth - offsetWidth`.

Returns:
  the scroll width
See Also:
  `setScrollWidth(int)`

#### setScrollWidth

    void setScrollWidth(int width)

Set the width in pixels of the scrollable content that the scrollbar controls.

This is not the same as the maximum scroll left position. The maximum scroll position equals the `scrollWidth - offsetWidth`.

Parameters:
  `width` - the size width pixels